org.apache.ignite.internal.processors.rest.client.message

## Class GridRouterRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage
  - - org.apache.ignite.internal.processors.rest.client.message.GridRouterRequest

All Implemented Interfaces:
  Externalizable, Serializable, GridClientMessage

    public class GridRouterRequest
    extends GridClientAbstractMessage

Container for routed message information.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridRouterRequest()` For `Externalizable` (not supported).
`GridRouterRequest(byte[] body, Long reqId, UUID clientId, UUID destId)`

### Method Summary

Methods
`byte[]` `body()`
`void` `readExternal(ObjectInput in)`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage

`clientId, clientId, destinationId, destinationId, requestId, requestId, sessionToken, sessionToken`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridRouterRequest

    public GridRouterRequest()

For `Externalizable` (not supported).

#### GridRouterRequest

    public GridRouterRequest(byte[] body,
                     Long reqId,
                     UUID clientId,
                     UUID destId)

Parameters:
  `body` - Message in raw form.
  `clientId` - Client id.
  `reqId` - Request id.
  `destId` - Destination where this message should be delivered.

### Method Detail

#### body

    public byte[] body()

Returns:
  Raw message.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Overrides:
  `writeExternal` in class `GridClientAbstractMessage`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Overrides:
  `readExternal` in class `GridClientAbstractMessage`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `GridClientAbstractMessage`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015